#!/bin/sh



SIG=USR1
LOG=/usr/local/natpass/logs/natpass.log
PID=`ps -C natpass -o pid --no-headers`

if [ -z "$PID" ]; then
    echo NATPASS is not running...
    exit 1
fi

Active()
{

IFS=""

BEG=1
ACT=0

while read lin
do
    if [ ${BEG} -eq 1 ]; then
        if echo "$lin" | grep -qw Active ; then
            ACT=1;
            BEG=0
        fi
    fi

    if [ ${ACT} -eq 1 ]; then
        echo "$lin"
        if [ -z "$lin" ]; then
            return
        fi
    fi
done

}

tail -f ${LOG} | Active > count.log &
sleep 1

kill -${SIG} ${PID}

